# coopcloud.tech

[![Build Status](https://build.coopcloud.tech/api/badges/toolshed/coopcloud.tech/status.svg?ref=refs/heads/main)](https://build.coopcloud.tech/toolshed/coopcloud.tech)

> https://coopcloud.tech

Splash page for the project.

## Hack

You'll need to get the latest extended Hugo release. See [the Github releases](https://github.com/gohugoio/hugo/releases).

```bash
$ hugo server
```

## Deploy me manually to the prod site

Need to have a docker context that points to `swarm-0.coopcloud.tech`.

To have permissions to push the image, need to use `docker login` using your Gitea credentials 

```bash
docker build -t git.coopcloud.tech/toolshed/coopcloud.tech .
docker push git.coopcloud.tech/toolshed/coopcloud.tech
DOCKER_CONTEXT=swarm-0.coopcloud.tech docker stack deploy -c compose.yml coop_cloud_site
```

The site should auto-deploy though [over here](https://build.coopcloud.tech/toolshed/coopcloud.tech).
